Summary: FTPLIB implements a callable interface to FTP
Name: ftplib
Version: 0.1
Release: 1
Source: sunsite.unc.edu:/pub/Linux/libs/ftplib.tgz
Copyright: distributable
Group: Development/Libraries

%description
This package implements a callable interface to FTP.  The FTP protocol is
specified in RFC 959.

%prep
%setup -n ftplib

%build
pwd
# Make shared library
gcc -O2 -pedantic -Wall -shared -fPIC ftplib.c -Wl,-soname,libftp.so.0 -o libftp.so.0.1

# Make static library
gcc -c -O2 -pedantic -Wall -static ftplib.c
ar -r libftp.a ftplib.o

export CFLAGS="-O2 -pedantic -Wall"
make qftp.o

ln -s libftp.so.0.1 libftp.so.0
ln -s libftp.so.0 libftp.so
gcc -O2 -pedantic -Wall qftp.o -L./ -lftp -o qftp

%install
install -m755 -o root -g root qftp /usr/bin/qftp
install -m644 -o root -g root libftp.a /usr/lib/libftp.a
install -m755 -o root -g root libftp.so.0.1 /usr/lib/libftp.so.0.1
install -d -m755 -o root -g root /usr/include/ftp
install -m644 -o root -g root ftplib.h /usr/include/ftp/ftplib.h

ln -s qftp /usr/bin/ftpdir
ln -s qftp /usr/bin/ftpget
ln -s qftp /usr/bin/ftpsend

# i386 ld.so wants these links
ln -s libftp.so.0.1 /usr/lib/libftp.so.0
ln -s libftp.so.0 /usr/lib/libftp.so
ldconfig

%files
%doc README.ftplib README.qftp rfc959.txt
%dir /usr/include/ftp/
/usr/bin/qftp
/usr/bin/ftpdir
/usr/bin/ftpget
/usr/bin/ftpsend
/usr/lib/libftp.a
/usr/lib/libftp.so.0.1
/usr/lib/libftp.so.0
/usr/lib/libftp.so
/usr/include/ftp/ftplib.h
